/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/07/20 14:19:13
 */

import 'es.shim'
import { html, css, Component } from 'wkit'
import { createApp, createRouter } from 'wkitd'

import './components/home.js'

createApp({
  data: {
    input: '',
    img: '',
    content: ''
  },
  styles: [
    css`
      :host {
        display: flex;
        width: 100%;
        height: 100vh;
      }
      .app {
        display: flex;
        width: 100%;
      }
      router-view {
        flex: 1;
      }
    `
  ],
  methods: {
    quit() {
      native.quit()
    }
  },
  render() {
    return html` <wc-home></wc-home> `
  }
}).mount()
